package mo

type Handler interface {
	Client() *Client
}

type mongoClient struct {
	client *Client
}

func (c *mongoClient) Client() *Client {
	return c.client
}

func NewMongoClient(uri string) (Handler, error) {
	client, err := NewClient(uri)
	if err != nil {
		return nil, err
	}
	return &mongoClient{client: client}, nil
}
